Bug 1197614 - [abrt] libreoffice-core: dp_gui::ExtensionBox_Impl::selectEntry(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: dp_gui::ExtensionBox_Impl::selectEntry(): soffice.bi...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f0e9e5fbac24a8d779d59cb1554...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-02 08:35 UTC by Mark
Modified: 2015-04-21 19:20 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-04-21 19:20:59 UTC


Attachments (Terms of Use)
File: backtrace (71.29 KB, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: core_backtrace (28.04 KB, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: dso_list (24.83 KB, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: environ (2.62 KB, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: maps (120.36 KB, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: open_fds (569 bytes, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details
File: var_log_messages (29 bytes, text/plain)
2015-03-02 08:36 UTC, Mark
no flags Details

Description Mark 2015-03-02 08:35:55 UTC
Description of problem:
updating libreoffice latexmath from 0.39 to 0.41

Version-Release number of selected component:
libreoffice-core-4.3.6.2-3.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer --splash-pipe=5
crash_function: dp_gui::ExtensionBox_Impl::selectEntry
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 dp_gui::ExtensionBox_Impl::selectEntry at /usr/src/debug/libreoffice-4.3.6.2/desktop/source/deployment/gui/dp_gui_extlistbox.cxx:500
 #1 dp_gui::ExtensionBox_Impl::checkEntries at /usr/src/debug/libreoffice-4.3.6.2/desktop/source/deployment/gui/dp_gui_extlistbox.cxx:1248
 #2 dp_gui::ExtMgrDialog::checkEntries at /usr/src/debug/libreoffice-4.3.6.2/desktop/source/deployment/gui/dp_gui_dialog2.cxx:800
 #3 call<com::sun::star::uno::Reference<com::sun::star::util::XModifyListener> const, com::sun::star::lang::EventObject const> at /usr/include/boost/bind/mem_fn_template.hpp:156
 #4 operator()<com::sun::star::uno::Reference<com::sun::star::util::XModifyListener> > at /usr/include/boost/bind/mem_fn_template.hpp:179
 #5 operator()<boost::_mfi::mf1<void, com::sun::star::util::XModifyListener, const com::sun::star::lang::EventObject&>, boost::_bi::list1<const com::sun::star::uno::Reference<com::sun::star::util::XModifyListener>&> > at /usr/include/boost/bind/bind.hpp:318
 #6 operator()<com::sun::star::uno::Reference<com::sun::star::util::XModifyListener> > at /usr/include/boost/bind/bind_template.hpp:53
 #7 forEach<com::sun::star::util::XModifyListener, boost::_bi::bind_t<void, boost::_mfi::mf1<void, com::sun::star::util::XModifyListener, com::sun::star::lang::EventObject const&>, boost::_bi::list2<boost::arg<1>, boost::_bi::value<com::sun::star::lang::EventObject> > > > at /usr/src/debug/libreoffice-4.3.6.2/include/cppuhelper/interfacecontainer.h:276
 #8 dp_manager::ExtensionManager::fireModified at /usr/src/debug/libreoffice-4.3.6.2/desktop/source/deployment/manager/dp_extensionmanager.cxx:1501
 #9 dp_manager::ExtensionManager::activateExtension at /usr/src/debug/libreoffice-4.3.6.2/desktop/source/deployment/manager/dp_extensionmanager.cxx:440

Comment 1 Mark 2015-03-02 08:36:01 UTC
Created attachment 996979 [details]
File: backtrace

Comment 2 Mark 2015-03-02 08:36:02 UTC
Created attachment 996980 [details]
File: cgroup

Comment 3 Mark 2015-03-02 08:36:04 UTC
Created attachment 996981 [details]
File: core_backtrace

Comment 4 Mark 2015-03-02 08:36:05 UTC
Created attachment 996982 [details]
File: dso_list

Comment 5 Mark 2015-03-02 08:36:07 UTC
Created attachment 996983 [details]
File: environ

Comment 6 Mark 2015-03-02 08:36:08 UTC
Created attachment 996984 [details]
File: exploitable

Comment 7 Mark 2015-03-02 08:36:09 UTC
Created attachment 996985 [details]
File: limits

Comment 8 Mark 2015-03-02 08:36:12 UTC
Created attachment 996986 [details]
File: maps

Comment 9 Mark 2015-03-02 08:36:13 UTC
Created attachment 996987 [details]
File: open_fds

Comment 10 Mark 2015-03-02 08:36:15 UTC
Created attachment 996988 [details]
File: proc_pid_status

Comment 11 Mark 2015-03-02 08:36:16 UTC
Created attachment 996989 [details]
File: var_log_messages

Comment 12 Stephan Bergmann 2015-04-10 13:40:16 UTC
Crash can be observed when there is exactly one extension listed in the Extension Manager (by e.g. disabling display of bundled extensions), that extension is selected, and gets updated during "Check for updates..."

Comment 13 Fedora Update System 2015-04-15 12:22:36 UTC
libreoffice-4.3.6.2-9.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.6.2-9.fc21

Comment 14 Fedora Update System 2015-04-18 09:35:23 UTC
Package libreoffice-4.3.6.2-9.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.3.6.2-9.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6287/libreoffice-4.3.6.2-9.fc21
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-04-21 19:20:59 UTC
libreoffice-4.3.6.2-9.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.